cutlass::reference::device::TensorDiagonalForEach< Func, Rank, Params > Struct Template Reference

Launches a kernel calling a functor for each element along a tensor's diagonal.

`#include <tensor_foreach.h>`

## Public Member Functions

| TensorDiagonalForEach (Coord< Rank > size, Params params=Params(), int start=0, int end=-1, int block_size=128)
| Constructor performs the operation. More...

## Constructor & Destructor Documentation

template<typename Func , int Rank, typename Params >

cutlass::reference::device::TensorDiagonalForEach< Func, Rank, Params >::TensorDiagonalForEach | ( | Coord< Rank > | size,
|  | Params | params = `Params()`,
|  | int | start = `0`,
|  | int | end = `-1`,
|  | int | block_size = `128`
| ) |  |

inline

The documentation for this struct was generated from the following file:

- device/tensor_foreach.h